Subject: Re: linux-next: build warnings after merge of the ti tree

From: Roger Quadros <[email-masked]>
Date: Fri, 6 Oct 2023 18:41:59 +0300

On 06/10/2023 16:55, Rob Herring wrote:
> On Fri, Oct 6, 2023 at 7:03 AM Roger Quadros <[email-masked]> wrote:
>>
>>
>>
>> On 05/10/2023 16:29, Nishanth Menon wrote:
>>> On 16:12-20231005, Roger Quadros wrote:
>>>> Hi,
>>>>
>>>> On 05/10/2023 11:25, Raghavendra, Vignesh wrote:
>>>>> + Rob and DT list
>>>>>
>>>>> Hi Stephen
>>>>>
>>>>> On 10/5/2023 8:45 AM, Stephen Rothwell wrote:
>>>>>> Hi all,
>>>>>>
>>>>>> [I may have missed this yesterday, sorry]
>>>>>>
>>>>>> After merging the ti tree, today's linux-next build (arm64 defconfig)
>>>>>> produced these warnings:
>>>>>>
>>>>>> arch/arm64/boot/dts/ti/k3-am642-evm-nand.dtso:65.8-140.3: Warning (avoid_default_addr_size): /fragment@3/__overlay__: Relying on default #address-cells value
>>>>>> arch/arm64/boot/dts/ti/k3-am642-evm-nand.dtso:65.8-140.3: Warning (avoid_default_addr_size): /fragment@3/__overlay__: Relying on default #size-cells value
>>>>>>
>>>>>> Introduced by commit
>>>>>>
>>>>>>   45a0c06571e1 ("arm64: dts: ti: am642-evm: Add overlay for NAND expansion card")
>>>>>>
>>>>>
>>>>> Thanks for the report. I will drop the offending comment.
>>>>>
>>>>> Roger,
>>>>>
>>>>> Sorry, this would need to be fixed in dtc or need exception from DT
>>>>> maintainers to ignore the warnings.
>>>>
>>>> Please don't drop this patch as the issue is not with the patch but with
>>>> the dtc tool itself.
>>>>
>>>> As this is a DT overlay there is no way to specify address-cells/size-cells
>>>> of parent here. This will be resolved only after merge with base tree.
>>>>
>>>> This will be fixed in next dtc sync.
>>>> https://www.spinics.net/lists/devicetree-compiler/msg04036.html
>>>>
>>>> See further discussion here
>>>> https://lore.kernel.org/all/[email-masked]/
>>>>
>>>
>>> Roger, build warnings are a strict NO,NO for kernel. Lets bring in the
>>> series *after* the dtc sync is complete.
>>>
>>
>> Hi Rob,
>>
>> Following commit from dtc is required to resolve this issue.
>>
>> afbddcd418fb ("Suppress warnings on overlay fragments")
> 
> That is from 2018, so it's been in the kernel's dtc for a long time.

Oh, my bad. I saw your Reviewed-by tag and assumed the patch was already upstream.

> 
> I believe what you need is the patch I referenced which hasn't been
> applied upstream.
> 
>> FYI. Another patch of similar nature is on its way and will also require the
>> above commit to DTC.
>> https://lore.kernel.org/all/[email-masked]/
> 
> You'll need to fix dtc first.

-- 
cheers,
-roger